## Class TEmptyControlCollection

Description

TEmptyControlCollection class

TEmptyControlCollection implements an empty control list that prohibits adding controls to it. This is useful for controls that do not allow child controls.

- since: 3.0
- version: $Id: TControl.php 2434 2008-04-18 09:47:05Z mikl $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/TControl.php (line 1854)

    TComponent
       |
       --TList
          |
          --TControlCollection
             |
             --TEmptyControlCollection

Method Summary
TEmptyControlCollection __construct (TControl $owner)
void insertAt (integer $index, mixed $item)
Methods
Constructor __construct (line 1860)

Constructor.

- access: public

TEmptyControlCollection __construct (TControl $owner)

- TControl $owner: the control that owns this collection.

Redefinition of:

TControlCollection::__construct()
  Constructor.

insertAt (line 1871)

Inserts an item at the specified position.

This overrides the parent implementation by ignoring new addition.

- access: public

void insertAt (integer $index, mixed $item)

- integer $index: the speicified position.
- mixed $item: new item

Redefinition of:

TControlCollection::insertAt()
  Inserts an item at the specified position.

#### Inherited Methods

Inherited From TControlCollection

> TControlCollection::__construct()
> TControlCollection::clear()
> TControlCollection::getOwner()
> TControlCollection::insertAt()
> TControlCollection::removeAt()

Inherited From TList

> TList::__construct()
> TList::add()
> TList::clear()
> TList::contains()
> TList::copyFrom()
> TList::count()
> TList::getCount()
> TList::getIterator()
> TList::getReadOnly()
> TList::indexOf()
> TList::insertAt()
> TList::itemAt()
> TList::mergeWith()
> TList::offsetExists()
> TList::offsetGet()
> TList::offsetSet()
> TList::offsetUnset()
> TList::remove()
> TList::removeAt()
> TList::setReadOnly()
> TList::toArray()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:34:15 -0400 by phpDocumentor 1.3.0RC4